Scriptname aaaSSPCON100Army extends activemagiceffect  

Perk Property aaaSSPCON100ArmyPerk Auto

Ingredient Property HumanHeart Auto

Spell Property aaaSSPCON100ConjureFlameAtronach Auto
Spell Property aaaSSPCON100ConjureFrostAtronach Auto
Spell Property aaaSSPCON100ConjureStormAtronach Auto
Spell Property aaaSSPCON100ConjureDremoraLord Auto


Event OnEffectStart(Actor akTarget, Actor akCaster)
	
	int summon = (akTarget.GetItemCount(HumanHeart))
	
	akTarget.addPerk(aaaSSPCON100ArmyPerk)
	
	akTarget.DamageAV("Magicka",10000)
	
	akTarget.RemoveItem(HumanHeart, summon, true)
	
	while (summon > 0)
	
		akTarget.DamageAV("Magicka",10000)
		
		If (Utility.RandomInt() <= 50)
			aaaSSPCON100ConjureFlameAtronach.cast(akTarget)
			game.advanceskill("Conjuration",150)
			
		elseif (Utility.RandomInt() <= 50)
			aaaSSPCON100ConjureFrostAtronach.cast(akTarget)
			game.advanceskill("Conjuration",200)
			
		elseif (Utility.RandomInt() <= 50)
			aaaSSPCON100ConjureStormAtronach.cast(akTarget)
		game.advanceskill("Conjuration",250)
		
		else
			aaaSSPCON100ConjureDremoraLord.cast(akTarget)
			game.advanceskill("Conjuration",300)
			
		endif
	
		summon -= 1

		utility.wait(0.25)

	endWhile
	
	utility.wait(0.25)
	
	akTarget.removeperk(aaaSSPCON100ArmyPerk)

EndEvent

